Bug 136857 - Spaces in Validity Input Help multiply with each save
Summary: Spaces in Validity Input Help multiply with each save
Status: RESOLVED DUPLICATE of bug 137945
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 137708 (view as bug list)
Depends on:
Blocks: Cell-Validity
  Show dependency treegraph
 
Reported: 2020-09-17 19:36 UTC by Jedison
Modified: 2021-11-30 19:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jedison 2020-09-17 19:36:41 UTC
Description:
Se um texto colocado na caixa Ajuda Para Entrada de Dados, no CALC, contiver uma cadeia de 2 ou mais espaços, eles dobrarão de tamanho cada vez que se grave o arquivo, a ponto de, em determinado tempo, causar erro fatal no arquivo, perdendo-se o acesso aos dados contidos nele.

Steps to Reproduce:
1.Inserir um texto em Ajuda para Entrada de Dados, em \Dados\Validação, no qual haja uma cadeia de 2 ou mais espaços em branco
2.Salvar e fechar o arquivo
3.Abri-lo novamente: os espaços em branco estarão duplicados: 2 se tornarão 4, 4 serão 8, 8 serão 16 e assim por diante, cada vez que o processo é repetido. Até o ponto em que o arquivo se torna corrompido, perdendo-se o acesso aos dados existentes nele.

Actual Results:
O arquivo tornou-se inacessível. Sistema trava ao tentar abri-lo. 

Expected Results:
Os textos devem permanecer como digitados pelo usuário.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Nada a acrescentar.
Comment 1 Xisco Faulí 2020-10-12 18:26:49 UTC
Hello Jedison,
Is the issue fixed if you clean the user profile ?
Comment 2 Jedison 2020-10-15 22:34:35 UTC
(In reply to Xisco Faulí from comment #1)
> Hello Jedison,
> Is the issue fixed if you clean the user profile ?

Hello,
Não resolve. Fiz isso e, também não funcionando, desinstalei o aplicativo e o instalei novamente. Nada funcionou.
Comment 3 QA Administrators 2020-10-16 04:29:02 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2021-07-26 16:55:33 UTC
I tried creating an input help with only two spaces in the title and input help text. The spaces do not multiply upon saving and reloading.

But I found another report with two people, so let's set to NEW

NixOS
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 67e47070a7580a17804adce812cc2f98bfe7b51f
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: x11
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Comment 5 Buovjaga 2021-07-26 16:55:41 UTC
*** Bug 137708 has been marked as a duplicate of this bug. ***
Comment 6 Gabor Kelemen (allotropia) 2021-11-30 19:17:38 UTC

*** This bug has been marked as a duplicate of bug 137945 ***